Menü

OSBNForum

Zur Info: OSBN Plugin ist nicht 100% kompatibel mit PHP8+

Allgemeine Diskussionen zum OSBN.

Zur Info: OSBN Plugin ist nicht 100% kompatibel mit PHP8+

Beitragvon Marius@Braunschweig » Di 14. Jun 2022, 09:52

Moin,

Wer auf PHP8 umstellt, wird das OSBN Plugin fixen müssen.

Es sind mehr Fehler drin, als ich jetzt hier aufzählen könnte, aber i.d.R. ist das hier der prinzielle Fehler:

$a = $_GET["keyword"];

was aber so aussehen müßte:

$a = ""; if ( isset($_GET["keyword"]) ) $a = $_GET["keyword"];

Gibts in diversen Varianten. Von PHP 8 hagelt es dann PHP Warnings im WP Code, die man auf der Webseite auch sieht. Ist nicht so, daß das gar nicht mehr geht, aber das wollt Ihr auf Eurer Webseite nicht.


Marius
Marius@Braunschweig
 
Beiträge: 32
Registriert: Sa 30. Apr 2016, 20:42

Re: Zur Info: OSBN Plugin ist nicht 100% kompatibel mit PHP8

Beitragvon chris_blues » Di 14. Jun 2022, 10:41

Ist ja lustig! Das kenn ich schon von PHP7... Da gibts bei PHP8 wohl neue Default Settings, was error_reporting() angeht. Ich lass mir schon immer alles anzeigen, was kommt, damit am Ende ein sauberer Code rauskommt. :mrgreen:
Benutzeravatar
chris_blues
 
Beiträge: 27
Registriert: Di 12. Aug 2014, 01:03


Zurück zu Rund ums Open-Source-Blog-Netzwerk

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

cron